Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDetailReportItem

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDetailReportItem

    public class SessionDetailReportItem
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SessionDetailReportItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getCost()` |
  `java.lang.String` | `getDestination()` |
  `int` | `getDuration()` |
  `int` | `getDurationRound()` |
  `java.lang.String` | `getNumberA()` |
  `java.lang.String` | `getNumberB()` |
  `java.util.Date` | `getSessionStart()` |
  `boolean` | `isSpanned()` |
  `void` | `setCost​(java.math.BigDecimal cost)` |
  `void` | `setDestination​(java.lang.String destination)` |
  `void` | `setDuration​(int duration)` |
  `void` | `setDurationRound​(int roundedDuration)` |
  `void` | `setNumberA​(java.lang.String numberA)` |
  `void` | `setNumberB​(java.lang.String numberB)` |
  `void` | `setSessionStart​(java.util.Date sessionStart)` |
  `void` | `setSpanned​(boolean spanned)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDetailReportItem

    public SessionDetailReportItem()

- ## Method Details

  - ### getSessionStart

    public java.util.Date getSessionStart()

  - ### setSessionStart

    public void setSessionStart​(java.util.Date sessionStart)

  - ### getDestination

    public java.lang.String getDestination()

  - ### setDestination

    public void setDestination​(java.lang.String destination)

  - ### getNumberA

    public java.lang.String getNumberA()

  - ### setNumberA

    public void setNumberA​(java.lang.String numberA)

  - ### getNumberB

    public java.lang.String getNumberB()

  - ### setNumberB

    public void setNumberB​(java.lang.String numberB)

  - ### getDuration

    public int getDuration()

  - ### setDuration

    public void setDuration​(int duration)

  - ### getDurationRound

    public int getDurationRound()

  - ### setDurationRound

    public void setDurationRound​(int roundedDuration)

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)

  - ### isSpanned

    public boolean isSpanned()

  - ### setSpanned

    public void setSpanned​(boolean spanned)